(*/////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Part of Imagelib VCL/DLL Library Corporate Suite 3.0                    //
//                                                                           //
//   All rights reserved. (c) Copyright 1995, 1996, 1997.                    //
//   SkyLine Tools a division by Creative Development LTD.                   //
//                                                                           //
//   Created by: Jan Dekkers,                                                //
//               Jillian Pinsker,                                            //
//               Reginald Armond,                                            //
//               Che-Chern Lin,                                              //
//               Alex Zitser,                                                //
//               Charles Ye,                                                 //
//               Song Han,                                                   //
//               Vitaly Bondarenko,                                          //
//               Jane Scarano,                                               //
//               Misha Popov;                                                //
//                                                                           //
//   and many others who provided feedback, gave tips and comments.          //
//                                                                           //
//   Call 1-800 404-3832  or 1-818 766-3900 to order ImageLib Corp. Suite.   //
//                                                                           //
/////////////////////////////////////////////////////////////////////////////*)

program Demoall;

{$IFNDEF WIN32}
{$M 26384, 8192}
{$ENDIF}

uses
  Forms,
  Udemo in 'UDEMO.PAS' {DemoForm1},
  Ufullscr in 'UFULLSCR.PAS' {FullSlide},
  Uabout in 'UABOUT.PAS' {AboutBox},
  Bimage in 'BIMAGE.PAS' {ConvertForm1},
  Mmblob in 'MMBLOB.PAS' {MMBlobForm},
  Qunit1 in 'QUNIT1.PAS' {SpecialAddon},
  Specials in 'SPECIALS.PAS' {ISpecials},
  U_gl_pal in 'U_GL_PAL.PAS' {GPaletteD},
  U_p_size in 'U_P_SIZE.PAS' {Printersize},
  Ublob in 'UBLOB.PAS' {BlobForm1},
  Umail in 'UMAIL.PAS' {MailOrderForm},
  Uscroll in 'USCROLL.PAS' {ScrollForm1},
  UIconLB in 'UICONLB.PAS' {IconListBoxDlg},
  utoolbar in 'UTOOLBAR.PAS' {BForm1},
  umultim in 'UMULTIM.PAS' {MMForm3},
  Ufgrab in 'UFGRAB.PAS' {FrameGrab},
  Urubberb in 'URUBBERB.PAS' {RubberbandForm},
  umu_scan in 'UMU_SCAN.PAS' {TwainForm},
  uilzip in 'UILZIP.PAS' {ZipForm1},
  UtBridge in 'UtBridge.PAS' {TextBridge},
  Uimage in 'UIMAGE.PAS' {ViewImageForm},
  docunit in 'Docunit.pas' {DocuForm},
  dbdocu in 'dbdocu.pas' {DbDocForm},
  uwebima in 'uwebima.pas' {WebForm},
  utext2im in 'utext2im.pas' {FTextToImage},
  uannota in 'uannota.pas' {Anno_In_Code},
  Utw_cap in 'Utw_cap.pas' {TwainCaps};



{$R *.RES}

begin
  Application.CreateForm(TDemoForm1, DemoForm1);
  Application.CreateForm(TFullSlide, FullSlide);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.Run;
end.





