(*/////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Part of Imagelib VCL/DLL Library Corporate Suite 4.0                    //
//                                                                           //
//   All rights reserved. (c) Copyright 1995, 1996, 1997, 1998.              //
//   SkyLine Tools a division by Creative Development LTD.                   //
//                                                                           //
//   Created by: Jan Dekkers,                                                //
//               Jillian Pinsker,                                            //
//               Reginald Armond,                                            //
//               Che-Chern Lin,                                              //
//               Alex Zitser,                                                //
//               Charles Ye,                                                 //
//               Song Han,                                                   //
//               Vitaly Bondarenko,                                          //
//               Jane Scarano,                                               //
//               Misha Popov;                                                //
//                                                                           //
//   and many others who provided feedback, gave tips and comments.          //
//                                                                           //
//   Call 1-800 404-3832  or 1-818 346-4200 to order ImageLib Corp. Suite.   //
//                                                                           //
/////////////////////////////////////////////////////////////////////////////*)

unit utbridge;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Registry,
  ILOCR,
  Dialogs,
  StdCtrls,
  Menus,
  ComCtrls,
  TMultiP, MMOpen;


{------------------------------------------------------------------------}

type
  TTextBridge = class(TForm)
    Button4: TButton;
    MainMenu1: TMainMenu;
    Edit1: TMenuItem;
    Paste1: TMenuItem;
    Memo1: TRichEdit;
    ILTextBridge1: TILTextBridge;
    Memo2: TMemo;
    PMultiImage1: TPMultiImage;
    MMOpenDialog1: TMMOpenDialog;
    procedure Button4Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  TextBridge: TTextBridge;


implementation

{$R *.DFM}


procedure TTextBridge.Button4Click(Sender: TObject);
begin
     ILTextBridge1.MenuWindowHandle:=TextBridge.Handle;
     if MMOpenDialog1.Execute then begin
       Screen.Cursor:=crHourGlass;
       ILTextBridge1.ExecTextBridge(MMOpenDialog1.Filename);
       PMultiImage1.ImageName:=MMOpenDialog1.Filename;
       Screen.Cursor:=crDefault;
     end;
end;


procedure TTextBridge.Paste1Click(Sender: TObject);
begin
     Memo1.PasteFromClipboard;
end;


end.

