(*/////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Part of Imagelib VCL/DLL Library Corporate Suite 4.0                    //
//                                                                           //
//   All rights reserved. (c) Copyright 1995, 1996, 1997, 1998.              //
//   SkyLine Tools a division by Creative Development LTD.                   //
//                                                                           //
//   Created by: Jan Dekkers,                                                //
//               Jillian Pinsker,                                            //
//               Reginald Armond,                                            //
//               Che-Chern Lin,                                              //
//               Alex Zitser,                                                //
//               Charles Ye,                                                 //
//               Song Han,                                                   //
//               Vitaly Bondarenko,                                          //
//               Jane Scarano,                                               //
//               Misha Popov;                                                //
//                                                                           //
//   and many others who provided feedback, gave tips and comments.          //
//                                                                           //
//   Call 1-800 404-3832  or 1-818 346-4200 to order ImageLib Corp. Suite.   //
//                                                                           //
/////////////////////////////////////////////////////////////////////////////*)

unit Specials;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, TMultiP, StdCtrls, DllSP96, IlFilter, ComCtrls;

type
  TISpecials = class(TForm)
    CheckBox3: TCheckBox;
    ScrollBox1: TScrollBox;
    MultiImage1: TPMultiImage;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    PrinterSetupDialog1: TPrinterSetupDialog;
    PrintDialog1: TPrintDialog;
    Label1: TLabel;
    Action: TButton;
    ProgressBar1: TProgressBar;
    procedure ActionClick(Sender: TObject);
    procedure MultiImage1Rubberband(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y, XX, YY: Integer);
    procedure CheckBox3Click(Sender: TObject);
    procedure MultiImage1Progress(Sender: TObject; Progress: Smallint;
      PMessage: string; var CancelProcess: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ISpecials: TISpecials;

implementation

{$R *.DFM}

procedure TISpecials.ActionClick(Sender: TObject);
begin
    AutoEffects:=False;
    MultiImage1.ILSEffects;
end;

procedure TISpecials.MultiImage1Rubberband(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y, XX, YY: Integer);
begin
 IActionX:=x;
 IActionY:=y;
 IActionXX:=xx;
 IActionYY:=yy;
end;

procedure TISpecials.CheckBox3Click(Sender: TObject);
begin
  MultiImage1.Stretch:=CheckBox3.Checked;
  if (MultiImage1.Stretch) then begin
    Action.Enabled:=False;
    MultiImage1.AutoSize:=False;
    MultiImage1.Height:=ScrollBox1.Height;
    MultiImage1.Width:=ScrollBox1.Width;
    ScrollBox1.ScrollInView(MultiImage1);
  end else begin
    Action.Enabled:=True;
    MultiImage1.AutoSize:=True;
  end;

end;


procedure TISpecials.MultiImage1Progress(Sender: TObject;
  Progress: Smallint; PMessage: string; var CancelProcess: Boolean);
begin
     CancelProcess := Application.Terminated;
     ProgressBar1.Position:=Progress;
     Application.ProcessMessages;
end;

end.
