(*/////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Part of Imagelib VCL/DLL Library Corporate Suite 4.0                    //
//                                                                           //
//   All rights reserved. (c) Copyright 1995, 1996, 1997, 1998.              //
//   SkyLine Tools a division by Creative Development LTD.                   //
//                                                                           //
//   Created by: Jan Dekkers,                                                //
//               Jillian Pinsker,                                            //
//               Reginald Armond,                                            //
//               Che-Chern Lin,                                              //
//               Alex Zitser,                                                //
//               Charles Ye,                                                 //
//               Song Han,                                                   //
//               Vitaly Bondarenko,                                          //
//               Jane Scarano,                                               //
//               Misha Popov;                                                //
//                                                                           //
//   and many others who provided feedback, gave tips and comments.          //
//                                                                           //
//   Call 1-800 404-3832  or 1-818 346-4200 to order ImageLib Corp. Suite.   //
//                                                                           //
/////////////////////////////////////////////////////////////////////////////*)

unit U_gl_pal;

{Includes settings to compile in either 16 or 32 bit}
{$I DEFILIB.INC}

interface

uses
{$IFDEF DEL32}
   Windows,
{$ELSE}
   WinTypes,
   WinProcs,
{$ENDIF}
   DLL96V1,     {ImageLib Dll interface and misc. functions}
   Classes,
   Graphics,
   Forms,
   Controls,
   Buttons,
   StdCtrls,
   MMOpen,      {Visual OpenDialog box}
   TMultiP, Dialogs;     {PMultiImage VCL component}

type
  TGPaletteD = class(TForm)
    PMultiImage2: TPMultiImage;
    PMultiImage1: TPMultiImage;
    MMOpenDialog1: TMMOpenDialog;
    CheckBox1: TCheckBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Memo1: TMemo;
    procedure CheckBox1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GPaletteD: TGPaletteD;

implementation

{$R *.DFM}
{------------------------------------------------------------------------}

procedure TGPaletteD.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
   GlobalPalette:=PMultiImage1.Picture.Bitmap.Palette
  else
   GlobalPalette:=0;
end;
{------------------------------------------------------------------------}

procedure TGPaletteD.BitBtn1Click(Sender: TObject);
begin
  if MMOpenDialog1.Execute then
      PMultiImage1.Imagename:=MMOpenDialog1.FileName;
end;
{------------------------------------------------------------------------}

procedure TGPaletteD.BitBtn2Click(Sender: TObject);
begin

  if CheckBox1.Checked then
   GlobalPalette:=PMultiImage1.Picture.Bitmap.Palette
  else
   GlobalPalette:=0;

  if MMOpenDialog1.Execute then
      PMultiImage2.Imagename:=MMOpenDialog1.FileName;
end;
{------------------------------------------------------------------------}

end.
 